<template>
    <div id="app">
        <BaseHeader :cart-count="cartItemsTotal" @go-to-cart="goToCart" />
        <Home v-if="isHome" @add-item-to-cart="addItemToCart" />
        <Cart v-if="isCart" :items="cartItems" @go-to-home="goToHome" />
        <BaseFooter />
    </div>
</template>

<script>
    import Home from './components/Home.vue';
    import Cart from './components/Cart.vue';
    import BaseFooter from './components/BaseFooter.vue';
    import BaseHeader from './components/BaseHeader.vue';

    export default {
        name: 'app',
        components: {
            Home, Cart, BaseFooter, BaseHeader
        },
        data: () => ({
            isHome: true,
            isCart: false,
            cartItems: []
        }),
        computed: {
            cartItemsTotal() {
                let cartTotalItems = 0;
                this.cartItems.forEach(item => {
                    cartTotalItems += item.qty;
                });
                return cartTotalItems;
            }
        },
        methods: {
            goToCart() {
                this.isHome = false;
                this.isCart = true;
            },
            goToHome() {
                this.cartItems = [];
                this.isCart = false;
                this.isHome = true;
            },
            addItemToCart(item) {
                this.cartItems.push(item);
            }
        }
    };
</script>

<style>
    table {
        border-collapse: collapse;
        margin: auto;
    }

    table, td, tr {
        padding: 5px;
    }

    .global__button-pointer {
        cursor: pointer;
    }
</style>